Subject: Ticket Assigned - Order delivery issue
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 24 Nov 2022 18:06:40 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order delivery issue Dear support team,

    I ordered items through max online and today was the delivery time but
I waited a long time at the given location but no one contacted me. No one
came.
Following are the details:
    *order number is 6184665113*

Pickup location:
Petromin Express - FODEL
Address :

Petromin Express - FODEL, Inside Sasco Palm Petrol Station, 28th Street, An
Nakhil, Dammam , Dammam, Saudi Arabia
Working hours :

Sat-Thu: 8:00-23:30/Friday: Closed

Please support how I can get my items?

Waiting for your reply

Thanks

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5340544